

clear;

B1MAPS = zeros( 63,80,2500 );

for ii = 1 : 2500
    
    if mod(ii,100) ==0
        fprintf('[reading B1 maps %d/2500]\n',ii);
    end
    
    MAG = reshape( read_fdata( sprintf('../fields/B1plus_rowa_coil%d_63_80_85_mag',ii),-1 ),63,80,85 );
    PHA = reshape( read_fdata( sprintf('../fields/B1plus_rowa_coil%d_63_80_85_pha',ii),-1 ),63,80,85 );
    
    B1MAPS( :,:,ii ) = MAG( :,:,59 ) .* exp( 1j*PHA( :,:,59 ) );
    
end

save B1MAPS.mat B1MAPS;






